<?php

if ( class_exists("Kirki")){

	// HEADER SECTION

	Kirki::add_section( 'plumbing_contractor_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'plumbing-contractor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'plumbing-contractor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'plumbing_contractor_sticky_header',
		'label'       => esc_html__( 'Enable/Disable Sticky Header', 'plumbing-contractor' ),
		'section'     => 'plumbing_contractor_section_header',
		'default'     => 0,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'plumbing-contractor' ),
			'off' => esc_html__( 'Disable', 'plumbing-contractor' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_menu_size_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Font Size(px)', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_menu_size',
		'label'       => __( 'Enter a value in pixels. Example:20px', 'plumbing-contractor' ),
		'type'        => 'text',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'font-size',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_menu_text_transform_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Text Transform', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'type'        => 'select',
		'settings'    => 'plumbing_contractor_menu_text_transform',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => 'capitalize',
		'choices'     => [
			'none' => esc_html__( 'Normal', 'plumbing-contractor' ),
			'uppercase' => esc_html__( 'Uppercase', 'plumbing-contractor' ),
			'lowercase' => esc_html__( 'Lowercase', 'plumbing-contractor' ),
			'capitalize' => esc_html__( 'Capitalize', 'plumbing-contractor' ),
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => ' text-transform',
			),
		),
	 ) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_menu_color',
		'label'       => __( 'Menu Color', 'plumbing-contractor' ),
		'type'        => 'color',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'default'     => '#222222',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_menu_hover_color',
		'label'       => __( 'Menu Hover Color', 'plumbing-contractor' ),
		'type'        => 'color',
		'default'     => '#ffc527',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a:hover', '#main-menu ul li a:hover', '#main-menu li:hover > a','#main-menu a:focus','#main-menu li.focus > a','#main-menu ul li.current-menu-item > a','#main-menu ul li.current_page_item > a','#main-menu ul li.current-menu-parent > a','#main-menu ul li.current_page_ancestor > a','#main-menu ul li.current-menu-ancestor > a'),
				'property' => 'color',
			),

		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_submenu_color',
		'label'       => __( 'Submenu Color', 'plumbing-contractor' ),
		'type'        => 'color',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'default'     => '#222222',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a', '#main-menu ul.sub-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_submenu_hover_color',
		'label'       => __( 'Submenu Hover Color', 'plumbing-contractor' ),
		'type'        => 'color',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'plumbing_contractor_submenu_hover_background_color',
		'label'       => __( 'Submenu Hover Background Color', 'plumbing-contractor' ),
		'type'        => 'color',
		'section'     => 'plumbing_contractor_section_header',
		'transport' => 'auto',
		'default'     => '#ffc527',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'background',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_enable_email_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'plumbing-contractor' ) . '</h3>',
	] );


	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Email ID', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_email',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_enable_location_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Location Address', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_location',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_header_phone_number_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_phone_number_text',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Phone Number', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_phone_number',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
		'sanitize_callback' => 'plumbing_contractor_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_enable_button_heading',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Header Button', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Button Text', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_button_text',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button URL', 'plumbing-contractor' ),
		'settings' => 'plumbing_contractor_header_button_url',
		'section'  => 'plumbing_contractor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_enable_socail_link',
		'section'     => 'plumbing_contractor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'plumbing_contractor_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'plumbing-contractor' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'plumbing-contractor' ),
		'settings'     => 'plumbing_contractor_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'plumbing-contractor' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'plumbing-contractor' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'plumbing-contractor' ),
				'description' => esc_html__( 'Add the social icon url here.', 'plumbing-contractor' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 20
		],
	] );
	    
// POST SECTION

	Kirki::add_section( 'plumbing_contractor_blog_post', array(
		'title'          => esc_html__( 'Post Settings', 'plumbing-contractor' ),
		'description'    => esc_html__( 'Here you can add post information.', 'plumbing-contractor' ),
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'plumbing_contractor_date_hide',
		'label'       => esc_html__( 'Enable / Disable Post Date', 'plumbing-contractor' ),
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'plumbing_contractor_author_hide',
		'label'       => esc_html__( 'Enable / Disable Post Author', 'plumbing-contractor' ),
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'plumbing_contractor_comment_hide',
		'label'       => esc_html__( 'Enable / Disable Post Comment', 'plumbing-contractor' ),
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_length_setting_heading',
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Post Content Limit', 'plumbing-contractor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'plumbing_contractor_length_setting',
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '15',
		'priority'    => 10,
		'choices'  => [
					'min'  => -10,
					'max'  => 40,
					'step' => 1,
				],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Tag', 'plumbing-contractor' ),
		'settings'    => 'plumbing_contractor_single_post_tag',
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Category', 'plumbing-contractor' ),
		'settings'    => 'plumbing_contractor_single_post_category',
		'section'     => 'plumbing_contractor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );
	
	// FOOTER SECTION

	Kirki::add_section( 'plumbing_contractor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'plumbing-contractor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'plumbing-contractor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_footer_text_heading',
		'section'     => 'plumbing_contractor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'plumbing-contractor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'plumbing_contractor_footer_text',
		'section'  => 'plumbing_contractor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'plumbing_contractor_footer_enable_heading',
		'section'     => 'plumbing_contractor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'plumbing-contractor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'plumbing_contractor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'plumbing-contractor' ),
		'section'     => 'plumbing_contractor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'plumbing-contractor' ),
			'off' => esc_html__( 'Disable', 'plumbing-contractor' ),
		],
	] );
}